i3lock-color

The world's most popular non-default computer lockscreen.
Index Commits Files Refs README LICENSE
commit 22a6534946724b1453d90d33b1c3d9bc8f00c94d
parent 7e41929e867e953fd91a775c7a8c426ecb8dfaff
Author: Simon Puente <simonppg@gmail.com>
Date:   Sat,  1 Aug 2020 20:07:01 -0700

Update build.sh

Just a little suggestion
Diffstat:
Mbuild.sh | 5+++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/build.sh b/build.sh
@@ -1,8 +1,9 @@
 #!/bin/bash
 autoreconf -fiv
 
-rm -rf build/
-mkdir -p build && cd build/
+BUILD_DIR=build/
+rm -rf $BUILD_DIR
+mkdir -vp $BUILD_DIR && cd $BUILD_DIR || { echo "cd $BUILD_DIR"; exit 127; }
 
 ../configure --prefix=/usr --sysconfdir=/etc